Page MenuHomePhabricator

Show the VE-MW welcome dialog to first-time users on mobile too
Closed, ResolvedPublic1 Estimated Story Points

Event Timeline

Jdforrester-WMF raised the priority of this task from to Medium.
Jdforrester-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2015, 10:32 PM

Although this should theoretically be easy, the window does not appear to actually display anything when you open it using the existing temporary WindowManager code

Krenair claimed this task.Feb 19 2016, 6:47 PM

Also, we added support for switching to wikitext to that dialog... but mobile does it in a different way

AlexMonk-WMF added a comment.EditedFeb 20 2016, 2:34 AM

Unfortunately some of the SET code is required to do that properly do that and it's set up by DesktopArticleTarget.init :/

ve.init.mw.ArticleTarget.init.js anyone?

Change 271994 had a related patch set uploaded (by Alex Monk):
Show welcome dialog on mobile too

https://gerrit.wikimedia.org/r/271994

I decided to avoid that issue by removing the switch button on mobile for now

Change 272004 had a related patch set uploaded (by Alex Monk):
VE: Show welcome dialog

https://gerrit.wikimedia.org/r/272004

Jdforrester-WMF closed this task as Resolved.Feb 29 2016, 2:51 AM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 271994 merged by jenkins-bot:
Show welcome dialog on mobile too

https://gerrit.wikimedia.org/r/271994

Change 272004 merged by jenkins-bot:
VE: Show welcome dialog

https://gerrit.wikimedia.org/r/272004